Subject: Re: bug#78520: 31.0.50; Performance issue in dired+isearch with dired-isearch-filenames

From: Eli Zaretskii <[email-masked]>
Date: Wed, 21 May 2025 15:38:59 +0300

> Cc: [email-masked]
> From: Juri Linkov <[email-masked]>
> Date: Wed, 21 May 2025 09:20:43 +0300
> 
> > I have been using dired and isearch in a directory with ~8000 files and
> > emacs became totally non-responsive. It freezed with every letter for
> > ~10 seconds.
> >
> > I checked my config and it seems that the problem is
> > `dired-isearch-filenames`. Any non-nil value produces this issue.
> 
> When you customize `dired-isearch-filenames` to non-nil, it uses
> `next-single-property-change` to restrict matches to filenames.

I guess this could be slow in a buffer with a lot of properties?

Would it be possible to speed this up by searching as usual, but then
rejecting matches whose positions don't have the 'filename' property?
Or was this tried and found to be not faster?